Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SpriteRequest Class Reference

スプライトリクエスト More...

`#include <SpriteRequest.h>`

Inheritance diagram for Lamp::SpriteRequest:

List of all members.

## Public Member Functions
| SpriteRequest ()
| コンストラクタ
virtual | ~SpriteRequest ()
| デストラクタ
virtual void | render (SpriteRenderState *renderState)=0
| レンダリング
virtual bool | isSprite () const
| スプライトかどうか
virtual Sprite * | castSprite () const
| スプライトへのキャスト
virtual bool | isSpriteState () const
| スプライトステートかどうか
virtual SpriteState * | castSpriteState () const
| スプライトステートへのキャスト

## Detailed Description

スプライトリクエスト

Definition at line 38 of file SpriteRequest.h.

## Member Function Documentation

virtual Sprite* Lamp::SpriteRequest::castSprite | ( |  | ) | const`[inline, virtual]`

| スプライトへのキャスト Returns: スプライト。型が違えばNULLを返す。 Definition at line 75 of file SpriteRequest.h. References isSprite(), and NULL.

virtual SpriteState* Lamp::SpriteRequest::castSpriteState | ( |  | ) | const`[inline, virtual]`

| スプライトステートへのキャスト Returns: スプライトステート。型が違えばNULLを返す。 Definition at line 91 of file SpriteRequest.h. References isSpriteState(), and NULL.

virtual bool Lamp::SpriteRequest::isSprite | ( |  | ) | const`[inline, virtual]`

| スプライトかどうか Returns: スプライトならtrue Reimplemented in Lamp::Sprite. Definition at line 69 of file SpriteRequest.h. Referenced by castSprite().

virtual bool Lamp::SpriteRequest::isSpriteState | ( |  | ) | const`[inline, virtual]`

| スプライトステートかどうか Returns: スプライトステートならtrue Reimplemented in Lamp::SpriteState. Definition at line 85 of file SpriteRequest.h. Referenced by castSpriteState().

virtual void Lamp::SpriteRequest::render | ( | SpriteRenderState * | renderState | ) | `[pure virtual]`

  | レンダリング Parameters:
  renderState | レンダーステート
Implemented in Lamp::Sprite, and Lamp::SpriteState. Referenced by Lamp::SpriteRenderer::render().

The documentation for this class was generated from the following file:

- SpriteRequest.h